  {
    "extends": "stylelint-config-standard",
    "overrides": [
      {
        "files": ["**/*.vue"],
        "customSyntax": "postcss-html"
      }
    ],
    "plugins": [
      "stylelint-order"
    ],
    "rules": {
      "declaration-property-value-disallowed-list": [
        {
          "/.*/": [
            "var(--road-primary-100)",
            "var(--road-primary-200)",
            "var(--road-primary-300)",
            "var(--road-primary-400)",
            "var(--road-primary-500)",
            "var(--road-primary-600)",
            "var(--road-primary-700)",
            "var(--road-primary-800)",
            "var(--road-primary-900)",
            "var(--road-primary-contrast)",
            "var(--road-secondary-100)",
            "var(--road-secondary-200)",
            "var(--road-secondary-300)",
            "var(--road-secondary-400)",
            "var(--road-secondary-500)",
            "var(--road-secondary-600)",
            "var(--road-secondary-700)",
            "var(--road-secondary-800)",
            "var(--road-secondary-900)",
            "var(--road-secondary-contrast)",
            "var(--primary)",
            "var(--primary-hover)",
            "var(--primary-darken)",
            "var(--primary-lighten)",
            "var(--primary-contrast)",
            "var(--secondary)",
            "var(--secondary-hover)",
            "var(--secondary-darken)",
            "var(--secondary-lighten)",
            "var(--secondary-contrast)",
            "var(--road-grey-000)",
            "var(--road-grey-100)",
            "var(--road-grey-200)",
            "var(--road-grey-300)",
            "var(--road-grey-400)",
            "var(--road-grey-500)",
            "var(--road-grey-600)",
            "var(--road-grey-700)",
            "var(--road-grey-800)",
            "var(--road-grey-900)",
            "var(--road-grey-999)",
            "var(--road-disabled)",
            "var(--accent)",
            "var(--accent-hover)",
            "var(--accent-darken)",
            "var(--accent-lighten)",
            "var(--accent-contrast)",
            "var(--info)",
            "var(--info-hover)",
            "var(--info-text)",
            "var(--info-background)",
            "var(--info-contrast)",
            "var(--success)",
            "var(--success-hover)",
            "var(--success-text)",
            "var(--success-background)",
            "var(--success-contrast)",
            "var(--warning)",
            "var(--warning-hover)",
            "var(--warning-text)",
            "var(--warning-background)",
            "var(--warning-contrast)",
            "var(--danger)",
            "var(--danger-hover)",
            "var(--danger-text)",
            "var(--danger-background)",
            "var(--danger-contrast)",
            "var(--icon)",
            "var(--text)",
            "var(--text-second)",
            "var(--text-disabled)",
            "var(--border-form)",
            "var(--border)",
            "var(--background)",
            "var(--background-second)",
            "var(--white)"
          ]
        },
        {
          "message": "L'utilisation de cette variable est interdite. Elle sera supprimée dans une prochaine release majeur. Merci d'utiliser une autre valeur définie dans Roadtrip en fonction du contexte dans laquelle elle est utilisée."
        }
      ],
      "declaration-property-value-allowed-list": {
      "background": [
        "var(--road-surface)",
        "var(--road-surface-inverse)",
        "var(--road-surface-disabled)",
        "var(--road-header-surface)",
        "var(--road-header-surface-disabled)",
        "var(--road-input-surface)",
        "var(--road-input-surface-variant)",
        "var(--road-decorative-surface)",
        "var(--road-decorative-surface-variant)",
        "var(--road-info-surface)",
        "var(--road-info-surface-inverse)",
        "var(--road-success-surface)",
        "var(--road-success-surface-inverse)",
        "var(--road-warning-surface)",
        "var(--road-warning-surface-inverse)",
        "var(--road-danger-surface)",
        "var(--road-danger-surface-inverse)"
      ],
      "background-color": [
        "var(--road-surface)",
        "var(--road-surface-inverse)",
        "var(--road-surface-disabled)",
        "var(--road-header-surface)",
        "var(--road-header-surface-disabled)",
        "var(--road-input-surface)",
        "var(--road-input-surface-variant)",
        "var(--road-decorative-surface)",
        "var(--road-decorative-surface-variant)",
        "var(--road-info-surface)",
        "var(--road-info-surface-inverse)",
        "var(--road-success-surface)",
        "var(--road-success-surface-inverse)",
        "var(--road-warning-surface)",
        "var(--road-warning-surface-inverse)",
        "var(--road-danger-surface)",
        "var(--road-danger-surface-inverse)"
      ],
      "border-color": [
        "var(--road-outline)",
        "var(--road-outline-weak)",
        "var(--road-outline-weak-variant)",
        "var(--road-button-tertiary-outline)",
        "var(--road-button-destructive-outline)",
        "var(--road-input-outline)",
        "var(--road-input-outline-variant)",
        "var(--road-info-outline)",
        "var(--road-success-outline)",
        "var(--road-warning-outline)",
        "var(--road-danger-outline)"
      ],
      "color": [
        "var(--road-on-surface)",
        "var(--road-on-surface-weak)",
        "var(--road-on-surface-extra-weak)",
        "var(--road-on-surface-disabled)",
        "var(--road-info-text)",
        "var(--road-info-contrast)",
        "var(--road-success-text)",
        "var(--road-success-contrast)",
        "var(--road-warning-text)",
        "var(--road-warning-contrast)",
        "var(--road-danger-text)",
        "var(--road-danger-contrast)"
      ],
      {
        "message": "L'utilisation de cette variable n'est pas correcte. Veuillez choisir une variable conforme"
      }
    },
      "at-rule-empty-line-before": null,
      "at-rule-no-unknown": true,
      "at-rule-no-vendor-prefix": true,
      "block-no-empty": true,
      "color-function-notation": "modern",
      "color-named": "never",
      "color-no-invalid-hex": true,
      "color-hex-length": "long",
      "comment-no-empty": true,
      "declaration-block-no-duplicate-properties": true,
      "declaration-empty-line-before": null,
      "declaration-no-important": true,
      "font-family-name-quotes": "always-where-recommended",
      "font-weight-notation": [
        "numeric",
        {
          "ignore": [
            "relative"
          ]
        }
      ],
      "function-url-no-scheme-relative": true,
      "function-url-quotes": "always",
      "length-zero-no-unit": true,
      "media-feature-name-no-unknown": [
        true,
        {
          "ignoreMediaFeatureNames": [
            "prefers-reduced-motion"
          ]
        }
      ],
      "media-feature-name-no-vendor-prefix": true,
      "no-descending-specificity": true,
      "no-duplicate-selectors": true,
      "order/properties-order": [
        "position",
        "top",
        "right",
        "bottom",
        "left",
        "z-index",
        "box-sizing",
        "display",
        "flex",
        "flex-align",
        "flex-basis",
        "flex-direction",
        "flex-wrap",
        "flex-flow",
        "flex-shrink",
        "flex-grow",
        "flex-order",
        "flex-pack",
        "align-content",
        "align-items",
        "align-self",
        "justify-content",
        "order",
        "float",
        "width",
        "min-width",
        "max-width",
        "height",
        "min-height",
        "max-height",
        "padding",
        "padding-top",
        "padding-right",
        "padding-bottom",
        "padding-left",
        "margin",
        "margin-top",
        "margin-right",
        "margin-bottom",
        "margin-left",
        "overflow",
        "overflow-x",
        "overflow-y",
        "-webkit-overflow-scrolling",
        "-ms-overflow-x",
        "-ms-overflow-y",
        "-ms-overflow-style",
        "columns",
        "column-count",
        "column-fill",
        "column-gap",
        "column-rule",
        "column-rule-width",
        "column-rule-style",
        "column-rule-color",
        "column-span",
        "column-width",
        "orphans",
        "widows",
        "clip",
        "clear",
        "font",
        "font-family",
        "font-size",
        "font-style",
        "font-weight",
        "font-variant",
        "font-size-adjust",
        "font-stretch",
        "font-effect",
        "font-emphasize",
        "font-emphasize-position",
        "font-emphasize-style",
        "font-smooth",
        "src",
        "hyphens",
        "line-height",
        "color",
        "text-align",
        "text-align-last",
        "text-emphasis",
        "text-emphasis-color",
        "text-emphasis-style",
        "text-emphasis-position",
        "text-decoration",
        "text-indent",
        "text-justify",
        "text-outline",
        "-ms-text-overflow",
        "text-overflow",
        "text-overflow-ellipsis",
        "text-overflow-mode",
        "text-shadow",
        "text-transform",
        "text-wrap",
        "-webkit-text-size-adjust",
        "-ms-text-size-adjust",
        "letter-spacing",
        "-ms-word-break",
        "word-break",
        "word-spacing",
        "-ms-word-wrap",
        "word-wrap",
        "overflow-wrap",
        "tab-size",
        "white-space",
        "vertical-align",
        "direction",
        "unicode-bidi",
        "list-style",
        "list-style-position",
        "list-style-type",
        "list-style-image",
        "pointer-events",
        "-ms-touch-action",
        "touch-action",
        "cursor",
        "visibility",
        "zoom",
        "table-layout",
        "empty-cells",
        "caption-side",
        "border-spacing",
        "border-collapse",
        "content",
        "quotes",
        "counter-reset",
        "counter-increment",
        "resize",
        "user-select",
        "nav-index",
        "nav-up",
        "nav-right",
        "nav-down",
        "nav-left",
        "background",
        "background-color",
        "background-image",
        "filter",
        "background-repeat",
        "background-attachment",
        "background-position",
        "background-position-x",
        "background-position-y",
        "background-clip",
        "background-origin",
        "background-size",
        "border",
        "border-color",
        "border-style",
        "border-width",
        "border-top",
        "border-top-color",
        "border-top-style",
        "border-top-width",
        "border-right",
        "border-right-color",
        "border-right-style",
        "border-right-width",
        "border-bottom",
        "border-bottom-color",
        "border-bottom-style",
        "border-bottom-width",
        "border-left",
        "border-left-color",
        "border-left-style",
        "border-left-width",
        "border-radius",
        "border-top-left-radius",
        "border-top-right-radius",
        "border-bottom-right-radius",
        "border-bottom-left-radius",
        "border-image",
        "border-image-source",
        "border-image-slice",
        "border-image-width",
        "border-image-outset",
        "border-image-repeat",
        "outline",
        "outline-width",
        "outline-style",
        "outline-color",
        "outline-offset",
        "box-shadow",
        "opacity",
        "-ms-interpolation-mode",
        "page-break-after",
        "page-break-before",
        "page-break-inside",
        "transition",
        "transition-delay",
        "transition-timing-function",
        "transition-duration",
        "transition-property",
        "transform",
        "transform-origin",
        "perspective",
        "appearance",
        "animation",
        "animation-name",
        "animation-duration",
        "animation-play-state",
        "animation-timing-function",
        "animation-delay",
        "animation-iteration-count",
        "animation-direction",
        "animation-fill-mode",
        "fill",
        "stroke"
      ],
      "property-no-unknown": true,
      "property-no-vendor-prefix": true,
      "rule-empty-line-before": "always",
      "selector-attribute-quotes": "always",
      "selector-class-pattern": "^[a-z][a-z0-9\\-]*[a-z0-9]$",
      "selector-max-attribute": 2,
      "selector-max-class": 4,
      "selector-max-combinators": 4,
      "selector-max-compound-selectors": 4,
      "selector-max-id": 0,
      "selector-max-specificity": null,
      "selector-max-type": 2,
      "selector-max-universal": 1,
      "selector-no-qualifying-type": true,
      "selector-no-vendor-prefix": true,
      "selector-pseudo-class-no-unknown": true,
      "selector-pseudo-element-no-unknown": true,
      "selector-type-no-unknown": [ 
        true,
        { 
          "ignore": ["custom-elements"]
        }
      ],
      "shorthand-property-no-redundant-values": true,
      "unit-no-unknown": true,
      "value-keyword-case": "lower",
      "value-no-vendor-prefix": true
    }
  }